Chuyển đến nội dung
Diễn đàn CADViet
kimvantoan

Giúp Tôi xử lý lỗi VBA với

Các bài được khuyến nghị

Chào các bạn! Tôi có hai hình chữ nhật trong model, tôi viết một đoạn mã VBA để làm cho hai hình chữ nhật này có chung một đỉnh. Nhưng khi chạy thì không làm được như ý muốn. Ai giúp tôi với! Đoạn mã đây:

 

 

Public Sub test()

 

'chon hai hinh chu nhat

Dim sl As AcadSelectionSet

Dim ft(0) As Integer

Dim fd(0) As Variant

Dim i As Variant

 

ft(0) = 0

fd(0) = "lwpolyline"

 

On Error Resume Next

Set sl = ThisDrawing.SelectionSets.Add("selectionset")

If Err <> 0 Then

Err.Clear

Set sl = ThisDrawing.SelectionSets("selectionset")

End If

 

sl.SelectOnScreen ft, fd

 

'chon dinh chung cua hai hinh chu nhat, dinh "P"

Dim p As Variant

On Error Resume Next

p = ThisDrawing.Utility.GetPoint(, "")

If Err <> 0 Then

Err.Clear

Exit Sub

End If

 

'gan dinh "1" cua hai hinh chu nhat là "P"

For Each i In sl

i.Coordinate(1) = p

Next

End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các bạn! Tôi có hai hình chữ nhật trong model, tôi viết một đoạn mã VBA để làm cho hai hình chữ nhật này có chung một đỉnh. Nhưng khi chạy thì không làm được như ý muốn. Ai giúp tôi với! Đoạn mã đây:

 

Bạn dùng đoạn mã sau:

 

'gan dinh "1" cua hai hinh chu nhat là "P"

Dim pt1(2) as double

 

For Each i In sl

pt1(0)=i.Coordinates(0)

pt1(1)=i.Coordinates(1)

 

i.Move(pt1,p)

Next

 

Tuy nhiên chưa xác định được đỉnh chung có cùng kiểu với nhau hay không (VD: cùng đỉnh trên trái chẳng hạn), vì đầu bài không yêu cầu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn dùng đoạn mã sau:

 

'gan dinh "1" cua hai hinh chu nhat là "P"

Dim pt1(2) as double

 

For Each i In sl

pt1(0)=i.Coordinates(0)

pt1(1)=i.Coordinates(1)

 

i.Move(pt1,p)

Next

 

Tuy nhiên chưa xác định được đỉnh chung có cùng kiểu với nhau hay không (VD: cùng đỉnh trên trái chẳng hạn), vì đầu bài không yêu cầu.

 

Cám ơn bạn anhcos! Mình đã thử cách của bạn rồi. Nhưng khi chạy, sau khi mình pick điểm "P" trên màn hình thì hai hình chữ nhật vẫn như cũ, không có điều gì xẩy ra cả. Mong nhận được sự giúp đỡ thêm của bạn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chung đỉnh là ntn hả ác ơi ?? Sao không fải là move 1 thằng sang thằng kia ^^

 

Có nghĩa là: Mình muốn duyệt qua từng hình chữ nhật(hoặc polyline nói chung) và gán một đỉnh của hình chữ nhật (polyline) chùng vào điểm "P"(điểm mà mình pick trên màn hình). Mong được sự giúp đỡ của bạn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×